[PATCH 0/1] bump AC_PREREQ to 2.64 on configure.ac

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[PATCH 0/1] bump AC_PREREQ to 2.64 on configure.ac

Huáng Jùnliàng
*** BLURB HERE ***

Huáng Jùnliàng (1):
  autoconf: bump AC_PREREQ to 2.64

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--
2.16.1
Reply | Threaded
Open this post in threaded view
|

[PATCH 1/1] autoconf: bump AC_PREREQ to 2.64

Huáng Jùnliàng
The acinclude.m4 uses AS_VAR_APPEND macro. This marco is introduced in 2.64[1], hence we bump AC_PREREQ to 2.64 to avoid undefined marco on 2.63 autoconf.

[1] https://lists.gnu.org/archive/html/autoconf/2009-07/msg00079.html

Signed-off-by: Huáng Jùnliàng <[hidden email]>
---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index 86f5bb6e..f6d5f819 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 #                                               -*- Autoconf -*-
 # Process this file with autoconf to produce a configure script.
 # Minimum version of autoconf required
-AC_PREREQ(2.62)
+AC_PREREQ(2.64)
 
 # UPDATING VERSION NUMBERS FOR RELEASES
 #
--
2.16.1
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH 1/1] autoconf: bump AC_PREREQ to 2.64

Allan McRae
On 08/02/18 17:25, Huáng Jùnliàng wrote:
> The acinclude.m4 uses AS_VAR_APPEND macro. This marco is introduced in 2.64[1], hence we bump AC_PREREQ to 2.64 to avoid undefined marco on 2.63 autoconf.
>
> [1] https://lists.gnu.org/archive/html/autoconf/2009-07/msg00079.html
>
> Signed-off-by: Huáng Jùnliàng <[hidden email]>
> ---

Thanks,
A